"""Provide pi simulation results."""
from rest_framework import viewsets

from pi.models import PiLog
from pi.serializers import PiLogSerializer


class PiLogViewSet(viewsets.ReadOnlyModelViewSet):
    """Provide list and detail actions for pi simulation log entries."""

    queryset = PiLog.objects.all()
    serializer_class = PiLogSerializer
